Рекомендация Debian по безопасности

DSA-4085-1 xmltooling -- обновление безопасности

Дата сообщения:
12.01.2018
Затронутые пакеты:
xmltooling
Уязвим:
Да
Ссылки на базы данных по безопасности:
В каталоге Mitre CVE: CVE-2018-0486.
Более подробная информация:

Филип Хуперт обнаружил, что Shibboleth, платформа предоставления сервиса, уязвима к атакам по имитации пользователей, а также раскрытию информации из-за неправильной обработки DTD в XMLTooling, библиотеке для грамматического разбора XML. Подробности можно найти в рекомендации основной ветки разработки по адресу https://shibboleth.net/community/advisories/secadv_20180112.txt

В предыдущем стабильном выпуске (jessie) эта проблема была исправлена в версии 1.5.3-2+deb8u2.

Стабильный выпуск (stretch) не подвержен указанным уязвимостям.

Рекомендуется обновить пакеты xmltooling.

С подробным статусом поддержки безопасности xmltooling можно ознакомиться на соответствующей странице отслеживания безопасности по адресу https://security-tracker.debian.org/tracker/xmltooling